ru.yandex.clickhouse.util

## Class ClickHouseHttpClientBuilder

- java.lang.Object
- - ru.yandex.clickhouse.util.ClickHouseHttpClientBuilder

    public class ClickHouseHttpClientBuilder
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`ClickHouseHttpClientBuilder(ClickHouseProperties properties)`

### Method Summary

All Methods Instance Methods Concrete Methods
`org.apache.http.impl.client.CloseableHttpClient` `buildClient()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ClickHouseHttpClientBuilder

    public ClickHouseHttpClientBuilder(ClickHouseProperties properties)

### Method Detail

#### buildClient

    public org.apache.http.impl.client.CloseableHttpClient buildClient()